Subject: [Mip6] RE: issue 327 part 4 status -- HAO & lifetime rules

From: "Michael Roe" <[email-masked]>
Date: Thu, 13 May 2004 11:09:30 +0100

This change is OK with me.

If I recall correctly, our implementation sometimes needs to send a BU when
the remaining valid lifetime of the CoA is less than 4 seconds. In this case,
we make sure to round up to avoid a lifetime of 0. So "MUST be non-zero" and
"SHOULD be less than or equal ..." sounds right.

Mike

> -----Original Message-----
> From: Jari Arkko [mailto:[email-masked]] 
> Sent: 12 May 2004 18:20
> To: [email-masked]; Michael Roe; [email-masked]; Vijay 
> Devarapalli; Brian Haley; [email-masked]; Greg O'Shea
> Subject: issue 327 part 4 status -- HAO & lifetime rules
> 
> 
> Unless I'm missing something, with Ed's text for part
> 2, the only thing that remains for the part 4 is this:
> 
>     o  The value specified in the Lifetime field SHOULD be 
> less than or
>        equal to the remaining valid lifetime of the home 
> address and the
>        care-of address specified for the binding.
> 
> =>
> 
>     o  The value specified in the Lifetime field MUST be non-zero and
>        SHOULD be less than or equal to the remaining valid lifetime
>        of the home address and the care-of address specified for the
>        binding.
> 
> If this is it, I think this clarification can be added.
> Note that the MUST is not a new requirement, all this is
> really implied by other parts of the spec already.
> 
> --Jari
> 
> 

_______________________________________________
Mip6 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mip6